Bug 815870 - Realtek RTL8188CE: dont get full list of all access points
Realtek RTL8188CE: dont get full list of all access points
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 13:24 EDT by Jorge Potosme
Modified: 2012-11-14 10:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:17:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The kernel-3.3.2-1 with only an access point (220.26 KB, image/png)
2012-04-24 13:24 EDT, Jorge Potosme
no flags Details
An older kernel(3.2.1-3.fc16.i686) with a lot access point listed, the laptop is on the same place (214.94 KB, image/png)
2012-04-24 13:28 EDT, Jorge Potosme
no flags Details
Wireless connection with patch reverted kernel (235.96 KB, image/png)
2012-04-25 14:42 EDT, Jorge Potosme
no flags Details

  None (edit)
Description Jorge Potosme 2012-04-24 13:24:18 EDT
Created attachment 579928 [details]
The kernel-3.3.2-1 with only an access point

Description of problem:

I have a HP MINI 110-3700LA with the update i have to be more close of an access point to get the net listed on NetworkManager and the problem came with the kernel-3.3.2-1.fc16.i686 must be a problem with the module rtl8192ce, is like
the the wireless ratio is lower with the kernel-3.3.2-1.

The Last kernel that worked fine was kernel-3.3.1-3.fc16.i686, i took some pics of this problem, and like the kernel kernel-3.3.1-3.fc16.i686 is not on repos i had to install an older kernel(3.2.1-3.fc16.i686).

[wesker@FedoraUmbrella ~]$ lspci | grep RTL
01:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE
802.11b/g/n WiFi Adapter (rev 01)

With both kernel the module run without problems

[wesker@FedoraUmbrella ~]$ lsmod | grep rtl
rtl8192ce              74359  0 
rtl8192c_common        66124  1 rtl8192ce
rtlwifi                93506  1 rtl8192ce
mac80211              264069  3 rtl8192ce,rtl8192c_common,rtlwifi
cfg80211              164857  2 rtlwifi,mac80211

Thanks
Comment 1 Jorge Potosme 2012-04-24 13:28:59 EDT
Created attachment 579936 [details]
An older kernel(3.2.1-3.fc16.i686) with a lot access point listed, the laptop is on the same place
Comment 2 John W. Linville 2012-04-24 15:47:50 EDT
From Jorge in email:

> the last kernel that worked fine was 3.3.1-3.fc16.i686

FWIW, this patch was applied in between 3.3.1 and 3.3.2:

commit eb641120479de7ee703fabb5e6ee0ec7947474ba
Author: Larry Finger <Larry.Finger@lwfinger.net>
Date:   Mon Mar 26 09:59:48 2012 -0500

    rtlwifi: rtl8192ce: rtl8192cu: rtl8192de: Fix low-gain setting when scanning
    
    commit 643c61e119459e9d750087b7b34be94491efebf9 upstream.
    
    In https://bugzilla.redhat.com/show_bug.cgi?id=770207, slowdowns of driver
    rtl8192ce are reported. One fix (commit a9b89e2) has already been applied,
    and it helped, but the maximum RX speed would still drop to 1 Mbps. As in
    the previous fix, the initial gain was determined to be the problem; however
    the problem arises from a setting of the gain when scans are started.
    
    Driver rtl8192de also has the same code structure - this one is fixed as wel
    
    Reported-and-Tested-by: Ivan Pesin <ivan.pesin@gmail.com>
    Signed-off-by: Larry Finger <Larry.Finger@lwfinger.net>
    Signed-off-by: John W. Linville <linville@tuxdriver.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Comment 3 John W. Linville 2012-04-24 16:20:01 EDT
Test kernels with that patch reverted are building here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4020142

When they finish building, please give them a try and post the results here -- thanks!
Comment 4 Jorge Potosme 2012-04-25 14:35:42 EDT
sorry for the delay, i tested the kernel with patch reverted and is working very fine, i get all wireless networks and i can connect without problems.

By the way, this patch reverting not affect this fix https://bugzilla.redhat.com/show_bug.cgi?id=770207?
Comment 5 Jorge Potosme 2012-04-25 14:42:12 EDT
Created attachment 580245 [details]
Wireless connection with patch reverted kernel
Comment 6 John W. Linville 2012-04-25 15:09:02 EDT
Hopefully Larry will come through with a new fix that let's us keep the fix for 770207 as well...?
Comment 7 Jorge Potosme 2012-06-03 18:40:38 EDT
(In reply to comment #6)
> Hopefully Larry will come through with a new fix that let's us keep the fix
> for 770207 as well...?

i got a solution but i dont think that it work for 770207

Dependencies:
 - kernel-devel or kernel-pae-devel

1) Download the source code from realtek

http://218.210.127.131/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true

2) Compile the driver
-- we will get 2 files rtlwifi.ko and rtl8192ce.ko

3) rename or delete this files
# /lib/modules/´uname -r´/kernel/drivers/net/wireless/rtlwifi/rtlwifi.ko
# /lib/modules/´uname -r´/kernel/drivers/net/wireless/rtlwifi/rtl8192ce/rtl8192ce.ko

4) copy the compiled driver to modules

# cp /home/´whoami´/rtl_92ce_92se_92de_linux_mac80211_0005.1230.2011/rtlwifi.ko /lib/modules/´uname -r´/kernel/drivers/net/wireless/rtlwifi/rtlwifi.ko

# cp /home/´whoami´/rtl_92ce_92se_92de_linux_mac80211_0005.1230.2011/rtl8192ce/rtl8182ce.ko  /lib/modules/´uname -r´/kernel/drivers/net/wireless/rtlwifi/rtl8192ce/rtl8192ce.ko

5) restart or use insmod
# reboot
 or
# insmod rtlwifi
# insmod rtl8192ce.ko

This was tested on Fedora 17
Comment 8 Josh Boyer 2012-09-10 10:03:54 EDT
John, Larry, Jorge, was this ever resolved?
Comment 9 Dave Jones 2012-10-23 11:32:47 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-14 10:17:51 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.